Bug 1317153 - xorg server 1.18.2 freezes Thinkpad T450
xorg server 1.18.2 freezes Thinkpad T450
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Patch
Depends On:
  Show dependency treegraph
Reported: 2016-03-12 09:54 EST by Sammy
Modified: 2016-12-20 14:24 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 14:24:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for freeze issues (1.25 KB, patch)
2016-03-19 11:08 EDT, Sammy
no flags Details | Diff

  None (edit)
Description Sammy 2016-03-12 09:54:11 EST
As the subject line says when I installed 1.18.2 from koji my Lenovo T450
freezes frequently that lasts aboout 20-30 seconds and starts again. Total
freeze of mouse/keyboard/screen. I have Intel HD graphics. I am using the
KDE plasma desktop.

The Xorg.0.log file shows:

[  1120.069] (II) SYN_DROPPED event from "TPPS/2 IBM TrackPoint" - some input events have been lost.
[  11[  1120.069] (II) SYN_DROPPED event from "TPPS/2 IBM TrackPoint" - some input events have been lost.
[  1120.070] (EE) libinput bug: timer offset negative
[  1120.070] (EE) libinput bug: timer offset negative
[  1120.070] (EE) libinput bug: timer offset negative
[  1120.070] (EE) libinput bug: timer offset negative
[  1120.070] (EE) libinput bug: timer offset negative
[  1120.070] (EE) libinput bug: timer offset negative
[  1120.070] (EE) libinput bug: timer offset negative
[  1120.071] (EE) libinput bug: timer offset negative
[  1120.071] (II) SYN_DROPPED event from "SynPS/2 Synaptics TouchPad" - some input events have been lost.
Comment 1 Sammy 2016-03-12 10:08:26 EST
I kept testing this. It is much more stable with 1.18.1-3 but it did happen once
when I pushed the cursor off the screen. But it happens very rarely with this
version of xorg.

I am using libinput-1.2.1-3 the version libinput-1.2.1-4 introduced some Thinkpad
T450 fixes but this does not change anything.

This could also be a KDE issue that is somehow triggered more with 1.18.2. If
this is not happening on GNOME one should let Rex Dieter know as well. On KDE
I am using rendering backend OpenGL 3.1 and glx interface.
Comment 2 Sammy 2016-03-12 10:56:16 EST
Setting interface to EGL avoids the problem with 1.18.1. I will try with
1.18.2. My old setting was EGL but yesterday I changed the interface to glx.
Comment 3 Sammy 2016-03-12 11:07:36 EST
Final analysis:

xorg-x11-server-1.18.1-3, EGL interface, libinput-1.2.1-3 or -4 NO PROBLEMS
xorg-x11-server-1.18.1-3, glx interface, libinput-1.2.1-3 or -4 OCCASIONAL FREEZE

xorg-x11-server-1.18.2-1, either EGL or glx interface, FREQUENT FREEZE
Comment 4 Sammy 2016-03-12 19:46:49 EST
This bug seems related although different messages but same symptom.

Comment 5 Sammy 2016-03-17 16:44:55 EDT
This problem still persists with xorg-x11-server-11.8.2-2 as well. It happens
with intel graphics only because it is working fine on my nvidia machines.
The other observations is that many people who reported this seem to be using
KDE plasma. It would be intersting to find out if it happens under gnome as
Comment 6 Stefan Neufeind 2016-03-18 04:04:19 EDT
I experienced similar frequent hangs of maybe 15-20sec with a Lenovo ThinkPad X1 Carbon. Downgrading to xorg-x11-server-Xorg-1.18.1-3.fc23.x86_64 did the trick, it seems.
Comment 7 Sammy 2016-03-19 11:07:04 EDT
The report https://bugs.archlinux.org/task/48549 tested a patch that seems to
work. I used the patch to rebuild the Fedora 23 xorg-x11-xserver-1.81.2 rpm
and indeed the problem ius gone. I will attach the patch as well.
Comment 8 Sammy 2016-03-19 11:08 EDT
Created attachment 1138041 [details]
Patch for freeze issues
Comment 9 Harald Reindl 2016-03-20 12:25:32 EDT
thanks - hopefully we can have a SCRATCH-BUILD and get that offending packages out of "updates-testing" ASAP and only when it's confirmed as fixed a new updates-testing build

all day long use "dnf --exclude=xorg\*" to not get your system ruined as regular updates-testing user is annoying
Comment 10 Rex Dieter 2016-03-21 12:36:53 EDT
I heard speculation this patch could also address bug #1317145

I'll see if I can find some time to confirm that soon.
Comment 11 Loïc Yhuel 2016-03-30 07:55:25 EDT
Without the proposed patch, my problems were fixed by https://bugs.freedesktop.org/show_bug.cgi?id=94685, we need a new xorg-x11-drv-intel build.
Comment 12 Fedora End Of Life 2016-11-24 11:02:52 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 14:24:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.